## ucs-school-metapackage 16.0.0

=== debian/changelog ===
ucs-school-metapackage (16.0.0) unstable; urgency=low

  * Activate ldap/refint=true in primary directory nodes
    Issue univention/dev/education/ucsschool#1483

 -- Sönke Schwardt-Krummrich <schwardt@univention.de>  Thu, 04 Sep 2025 17:37:03 +0200

ucs-school-metapackage (15.1.1) unstable; urgency=medium

  * Add demo legal guardian
    Issue univention/dev/education/ucsschool#1456

 -- Jürn Brodersen <brodersen@univention.de>  Tue, 08 Jul 2025 10:20:15 +0200

ucs-school-metapackage (15.1.0) unstable; urgency=medium

  * univention/dev/education/ucsschool#1453: Add index for ucsschoolLegalGuardian attribute

 -- Ole Schwiegert <schwiegert@univention.de>  Fri, 20 Jun 2025 11:01:00 +0100

ucs-school-metapackage (15.0.1) unstable; urgency=medium

  * Issue univention/ucsschool#1370: ignore CN=Keys in s4 sync

 -- Jürn Brodersen <brodersen@univention.de>  Tue, 18 Feb 2025 15:11:48 +0100

ucs-school-metapackage (15.0.0) unstable; urgency=medium

  * Issue univention/ucsschool#1318: Fix pre-join hook for UCS 5.2
    Dropping support for python2

 -- Ole Schwiegert <schwiegert@univention.de>  Thu, 16 Jan 2025 08:33:00 +0200

ucs-school-metapackage (14.0.1) unstable; urgency=medium

  * Issue univention/ucsschool#1313: use -H for ldapsearch

 -- Felix Botner <botner@univention.de>  Thu, 16 Jan 2025 08:24:00 +0200

ucs-school-metapackage (14.0.0) unstable; urgency=medium

  * UCS@school 5.2

 -- Florian Best <best@univention.de>  Thu, 16 Jan 2025 08:09:00 +0200

ucs-school-metapackage (13.0.18) unstable; urgency=medium

  * Issue univention/components/keycloak-app#207: Add keycloak kerberos SPN to samba

 -- Marius Meschter <marius.meschter@univention.de>  Tue, 14 May 2024 16:20:37 +0200

ucs-school-metapackage (13.0.17) unstable; urgency=medium

  * Issue #1198: Changes due to ruff rule activation.

 -- Johannes Königer <koeniger@univention.de>  Mon, 11 Mar 2024 11:06:01 +0100

ucs-school-metapackage (13.0.16) unstable; urgency=medium

  * Bug #55751: refactor code using "ruff"

 -- Florian Best <best@univention.de>  Mon, 13 Feb 2023 11:52:32 +0100

ucs-school-metapackage (13.0.15) unstable; urgency=low

  * Bug #54735: fix set_nt_acl_on_shares script on backup directory nodes

 -- Daniel Troeder <troeder@univention.de>  Tue, 10 May 2022 17:11:18 +0200

ucs-school-metapackage (13.0.14) unstable; urgency=medium

  * Bug #54205: add `ucsschoolRecordUID` and `ucsschoolSourceUID` to demo
    users.

 -- Carlos García-Mauriño <garcia-maurino.extern@univention.de>  Tue, 26 Apr 2022 08:12:50 +0300

ucs-school-metapackage (13.0.13) unstable; urgency=medium

  * Bug #48896: add mailPrimaryAddress to demo users

 -- Carlos García-Mauriño <garcia-maurino.extern@univention.de>  Fri, 15 Apr 2022 14:35:13 +0300

ucs-school-metapackage (13.0.12) unstable; urgency=medium

  * Bug #54180: revert

 -- Jürn Brodersen <brodersen@univention.de>  Thu, 06 Jan 2022 18:17:10 +0100

ucs-school-metapackage (13.0.11) unstable; urgency=medium

  * Bug #54180: fix dependency errors due to a samba update

 -- Jürn Brodersen <brodersen@univention.de>  Thu, 02 Dec 2021 17:20:32 +0100

ucs-school-metapackage (13.0.10) unstable; urgency=low

  * Bug #53983: add python-typing as build dependency for unit testing

 -- Daniel Troeder <troeder@univention.de>  Tue, 02 Nov 2021 15:54:55 +0100

ucs-school-metapackage (13.0.9) unstable; urgency=low

  * Bug #53988: fix linter errors
  * Bug #53983: python-typing is always installed in UCS 5.0

 -- Daniel Troeder <troeder@univention.de>  Tue, 26 Oct 2021 14:40:42 +0200

ucs-school-metapackage (13.0.8) unstable; urgency=medium

  * Bug #53903: fix joining DC Backup

 -- Florian Best <best@univention.de>  Fri, 15 Oct 2021 14:14:42 +0200

ucs-school-metapackage (13.0.7) unstable; urgency=medium

  * Bug #52602: change server role terminology

 -- Christian Castens <castens@univention.de>  Wed, 08 Sep 2021 12:22:21 +0200

ucs-school-metapackage (13.0.6) unstable; urgency=medium

  * Bug #20064: rename meta packages

 -- Florian Best <best@univention.de>  Mon, 06 Sep 2021 18:54:31 +0200

ucs-school-metapackage (13.0.5) unstable; urgency=medium

  * Bug #53460: Remove Demo Portal

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Thu, 02 Sep 2021 23:51:03 +0200

ucs-school-metapackage (13.0.4) unstable; urgency=medium

  * Bug #52629: remove package ucs-school-s4-branch-site

 -- Florian Best <best@univention.de>  Wed, 25 Aug 2021 15:50:42 +0200

ucs-school-metapackage (13.0.3) unstable; urgency=medium

  * Bug #53364: remove iTALC support

 -- Florian Best <best@univention.de>  Mon, 14 Jun 2021 19:16:54 +0200

ucs-school-metapackage (13.0.2) unstable; urgency=medium

  * Bug #52603: use systemctl to restart UDL in ucs-school-metapackage

 -- Florian Best <best@univention.de>  Mon, 07 Jun 2021 18:59:08 +0200

ucs-school-metapackage (13.0.1) unstable; urgency=medium

  * Bug #52578: UCS@school 5.0 version bump

 -- Florian Best <best@univention.de>  Tue, 15 Jun 2021 15:05:08 +0200

ucs-school-metapackage (12.0.4-17) unstable; urgency=medium

  * Bug #52604: migrate join hook to Python 3

 -- Florian Best <best@univention.de>  Tue, 01 Jun 2021 23:32:46 +0200

ucs-school-metapackage (12.0.4-16) unstable; urgency=low

  * Bug #52945: use full path to model imports

 -- Daniel Troeder <troeder@univention.de>  Wed, 12 May 2021 08:41:52 +0200

ucs-school-metapackage (12.0.4-15) unstable; urgency=low

  * Bug #53014: handle moved demo_admin user

 -- Daniel Troeder <troeder@univention.de>  Thu, 01 Apr 2021 08:31:20 +0200

ucs-school-metapackage (12.0.4-14) unstable; urgency=low

  * Bug #52986: handle no OU "DEMOSCHOOL" and no user "demo_admin" for
    singelmaster

 -- Daniel Troeder <troeder@univention.de>  Thu, 25 Mar 2021 17:09:32 +0100

ucs-school-metapackage (12.0.4-13) unstable; urgency=low

  * Bug #52970: handle no OU "DEMOSCHOOL" and no user "demo_admin"

 -- Daniel Troeder <troeder@univention.de>  Mon, 22 Mar 2021 15:26:37 +0100

ucs-school-metapackage (12.0.4-12) unstable; urgency=low


