=== debian/control ===
Source: ucs-school-metapackage
Section: univention
Priority: optional
Maintainer: Univention GmbH <packages@univention.de>
Build-Depends:
 debhelper-compat (= 13),
 ucslint,
 univention-config-dev,
 univention-join-dev,
 univention-unittests,
Standards-Version: 3.8.2

Package: ucs-school-multiserver
Architecture: all
Conflicts:
 italc-client,
 italc-dbg,
 italc-management-console,
 italc-master,
 italc-windows,
 libitalc,
 libitalc-dev,
 ucs-school-singleserver,
 ucs-school-ucc-integration,
 ucs-school-umc-csv-import,
Breaks:
 ucs-school-master (<< 13.0.6),
 ucs-school-umc-csv-import,
Replaces:
 ucs-school-master (<< 13.0.6),
 ucs-school-umc-csv-import,
Pre-Depends:
 univention-config,
Depends:
 makepasswd,
 python3-univention,
 python3-univention-lib,
 shell-ucs-school (>= 5.0.38),
 shell-univention-lib (>= 1.0.51-3),
 ucs-school-import (>= 19.2.0),
 ucs-school-info,
 ucs-school-ldap-acls-master,
 ucs-school-umc-helpdesk-schema,
 ucs-school-umc-installer,
 univention-config,
 univention-directory-manager-tools (>= 7.0.234-1),
 univention-ldap-acl-master (>= 8.0.77-4),
 univention-ldap-server (>= 8.0.77-4),
 univention-management-console (>= 4.0.231-1),
 univention-management-console-frontend (>= 1.0.320-1),
 univention-management-console-module-selective-udm,
 univention-management-console-web-server (>= 1.0.320-1),
 univention-samba4-sysvol-sync,
 ${misc:Depends},
Recommends:
 ucs-school-import-http-api,
 ucs-school-umc-diagnostic,
 ucs-school-umc-exam-master,
 ucs-school-umc-groups,
 ucs-school-umc-import,
 ucs-school-umc-lists,
 ucs-school-umc-rooms,
 ucs-school-umc-users,
 ucs-school-umc-wizards,
Description: UCS@school meta package for UCS Primary Directory Node (multi server environment)
 This meta package installs all required packages for UCS@school on
 a UCS Primary Directory Node. The Primary Directory Node will be
 configured for a multi server environment. The package ucs-school-replica
 has to be installed on all Replica Directory Nodes.
 .
 This package is part of Univention Corporate Server (UCS),
 an integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: http://www.univention.de/

Package: ucs-school-replica
Architecture: all
Breaks:
 ucs-school-slave (<< 13.0.6),
Replaces:
 ucs-school-slave (<< 13.0.6),
Conflicts:
 italc-client,
 italc-dbg,
 italc-management-console,
 italc-master,
 italc-windows,
 libitalc,
 libitalc-dev,
 ucs-school-s4-branch-site,
 ucs-school-ucc-integration,
Depends:
 python3-ucsschool-lib,
 python3-univention,
 python3-univention-lib,
 shell-ucs-school,
 shell-ucs-school (>= 5.0.38),
 shell-univention-lib (>= 1.0.51-3),
 ucs-school-info,
 ucs-school-netlogon,
 ucs-school-netlogon-user-logonscripts,
 ucs-school-old-homedirs,
 ucs-school-old-sharedirs,
 ucs-school-umc-installer,
 ucs-school-veyon-client,
 univention-config,
 univention-directory-manager-tools (>= 7.0.234-1),
 univention-ldap-acl-slave (>= 8.0.77-4),
 univention-ldap-server (>= 8.0.77-4),
 univention-management-console (>= 4.0.231-1),
 univention-management-console-frontend (>= 1.0.320-1),
 univention-management-console-web-server (>= 1.0.320-1),
 univention-s4-connector (>= 6.0.128-24) | univention-samba-slave-pdc,
 univention-samba4 (>= 8.0.0-32) | univention-samba (>= 13.0.0-11),
 ${misc:Depends},
Recommends:
 ucs-school-branding,
 ucs-school-umc-computerroom,
 ucs-school-umc-distribution,
 ucs-school-umc-exam,
 ucs-school-umc-groups,
 ucs-school-umc-helpdesk,
 ucs-school-umc-internetrules,
 ucs-school-umc-lessontimes,
 ucs-school-umc-lists,
 ucs-school-umc-printermoderation,
 ucs-school-umc-rooms,
 ucs-school-umc-users,
 ucs-school-webproxy,
Description: UCS@school meta package for UCS Replica Directory Nodes
 This meta package installs all required packages for UCS@school on
 a UCS Replica Directory Node. The package ucs-school-multiserver
 has to be installed on Primary Directory Nodes/Backup Directory Nodes.
 .
 This package is part of Univention Corporate Server (UCS),
 an integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: http://www.univention.de/

Package: ucs-school-singleserver
Architecture: all
Conflicts:
 italc-client,
 italc-dbg,
 italc-management-console,
 italc-master,
 italc-windows,
 libitalc,
 libitalc-dev,
 ucs-school-multiserver,
 ucs-school-ucc-integration,
 ucs-school-umc-csv-import,
Replaces:
 ucs-school-singlemaster (<< 13.0.6),
 ucs-school-umc-csv-import,
Breaks:
 ucs-school-singlemaster (<< 13.0.6),
 ucs-school-umc-csv-import,
Pre-Depends:
 univention-config,
Depends:
 makepasswd,
 python3-ucsschool-lib,
 python3-univention,
 python3-univention-lib,
 shell-ucs-school (>= 5.0.38),
 shell-univention-lib (>= 1.0.51-3),
 ucs-school-import (>= 19.2.0),
 ucs-school-info,
 ucs-school-ldap-acls-master,
 ucs-school-netlogon,
 ucs-school-netlogon-user-logonscripts,
 ucs-school-old-homedirs,
 ucs-school-old-sharedirs,
 ucs-school-umc-installer,
 ucs-school-veyon-client,
 univention-directory-manager-tools (>= 7.0.234-1),
 univention-ldap-acl-master (>= 8.0.77-4),
 univention-ldap-server (>= 8.0.77-4),
 univention-management-console (>= 4.0.231-1),
 univention-management-console-frontend (>= 1.0.320-1),
 univention-management-console-module-selective-udm,
 univention-management-console-web-server (>= 1.0.320-1),
 univention-s4-connector (>= 6.0.128-24) | univention-samba (>= 13.0.0-11),
 ${misc:Depends},
Recommends:
 ucs-school-branding,
 ucs-school-import-http-api,
 ucs-school-umc-computerroom,
 ucs-school-umc-diagnostic,
 ucs-school-umc-distribution,
 ucs-school-umc-exam,
 ucs-school-umc-exam-master,
 ucs-school-umc-groups,
 ucs-school-umc-helpdesk,
 ucs-school-umc-import,
 ucs-school-umc-internetrules,
 ucs-school-umc-lessontimes,
 ucs-school-umc-lists,
 ucs-school-umc-printermoderation,
 ucs-school-umc-rooms,
 ucs-school-umc-users,
 ucs-school-umc-wizards,
 ucs-school-webproxy,
Description: UCS@school meta package for UCS Primary Directory Node (single server environment)
 This meta package installs all required packages for UCS@school on
 a UCS Primary Directory Node. The Primary Directory Node will be
 configured for a single server environment.
 .
 This package is part of Univention Corporate Server (UCS),
 an integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: http://www.univention.de/

Package: ucs-school-nonedu-replica
Architecture: all
Breaks:
 ucs-school-nonedu-slave (<< 13.0.6),
Replaces:
 ucs-school-nonedu-slave (<< 13.0.6),
Conflicts:
 italc-client,
 italc-dbg,
 italc-management-console,
 italc-master,
 italc-windows,
 libitalc,
 libitalc-dev,
 ucs-school-s4-branch-site,
 ucs-school-ucc-integration,
Depends:
 python3-ucsschool-lib,
 shell-ucs-school (>= 5.0.38),
 univention-config,
 univention-s4-connector (>= 6.0.128-24) | univention-samba-slave-pdc,
 univention-samba4 (>= 8.0.0-32) | univention-samba (>= 13.0.0-11),
 ${misc:Depends},
Description: UCS@school meta package for non-educational Replica Directory Nodes
 .
 This package is part of Univention Corporate Server (UCS),
 an integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: http://www.univention.de/

Package: ucs-school-central-replica
Architecture: all
Breaks:
 ucs-school-central-slave (<< 13.0.6),
Replaces:
 ucs-school-central-slave (<< 13.0.6),
Conflicts:
 italc-client,
 italc-dbg,
 italc-management-console,
 italc-master,
 italc-windows,
 libitalc,
 libitalc-dev,
 ucs-school-ucc-integration,
Depends:
 python3-ucsschool-lib,
 shell-ucs-school (>= 5.0.38),
 univention-config,
 ${misc:Depends},
Description: UCS@school meta package for central Replica Directory Nodes
 .
 This package is part of Univention Corporate Server (UCS),
 an integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: http://www.univention.de/

Package: ucs-school-master
Architecture: all
Depends:
 ucs-school-multiserver,
 ${misc:Depends},
Description: UCS@school transitional dummy package
 .
 This package is part of Univention Corporate Server (UCS),
 an integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: http://www.univention.de/

Package: ucs-school-singlemaster
Architecture: all
Depends:
 ucs-school-singleserver,
 ${misc:Depends},
Description: UCS@school transitional dummy package
 .
 This package is part of Univention Corporate Server (UCS),
 an integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: http://www.univention.de/

Package: ucs-school-slave
Architecture: all
Depends:
 ucs-school-replica,
 ${misc:Depends},
Description: UCS@school transitional dummy package
 .
 This package is part of Univention Corporate Server (UCS),
 an integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: http://www.univention.de/

Package: ucs-school-nonedu-slave
Architecture: all
Depends:
 ucs-school-nonedu-replica,
 ${misc:Depends},
Description: UCS@school transitional dummy package
 .
 This package is part of Univention Corporate Server (UCS),
 an integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: http://www.univention.de/

Package: ucs-school-central-slave
Architecture: all
Depends:
 ucs-school-central-replica,
 ${misc:Depends},
Description: UCS@school transitional dummy package
 .
 This package is part of Univention Corporate Server (UCS),
 an integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: http://www.univention.de/
